# Visualization
TKService
ImageUtility

# ImageUtility Class Reference

`#include <ImageUtility.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Handle_Image_PseudoColorImage | PixelDiff (const Handle(Image_Image)&aImage, const Handle(Image_Image)&anotherImage)
static Standard_EXPORT Handle_Image_PseudoColorImage | PixelColorDiff (const Handle(Image_Image)&aImage, const Handle(Image_Image)&anotherImage)
static Standard_EXPORT Handle_Image_PseudoColorImage | PixelColorDiff (const Handle(Image_Image)&aImage, const Handle(Image_Image)&anotherImage, const Handle(Aspect_ColorRampColorMap)&aCRColorMap)
static Standard_EXPORT void | PixelColorDiff (const Handle(Image_Image)&aImage, const Handle(Image_Image)&anotherImage, const Handle(Aspect_ColorRampColorMap)&aCRColorMap, Handle(Image_PseudoColorImage)&RedDiff, Handle(Image_PseudoColorImage)&GreenDiff, Handle(Image_PseudoColorImage)&BlueDiff)

## Member Function Documentation

void ImageUtility::operator delete | ( | void * | anAddress | ) | `[inline]`

void* ImageUtility::operator new | ( | size_t | size | ) | `[inline]`

void* ImageUtility::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT void ImageUtility::PixelColorDiff | ( | const Handle(Image_Image)& | aImage,
|  | const Handle(Image_Image)& | anotherImage,
|  | const Handle(Aspect_ColorRampColorMap)& | aCRColorMap,
|  | Handle(Image_PseudoColorImage)& | RedDiff,
|  | Handle(Image_PseudoColorImage)& | GreenDiff,
|  | Handle(Image_PseudoColorImage)& | BlueDiff
| ) | `[static]`

static Standard_EXPORT Handle_Image_PseudoColorImage ImageUtility::PixelColorDiff | ( | const Handle(Image_Image)& | aImage,
|  | const Handle(Image_Image)& | anotherImage,
|  | const Handle(Aspect_ColorRampColorMap)& | aCRColorMap
| ) | `[static]`

static Standard_EXPORT Handle_Image_PseudoColorImage ImageUtility::PixelColorDiff | ( | const Handle(Image_Image)& | aImage,
|  | const Handle(Image_Image)& | anotherImage
| ) | `[static]`

static Standard_EXPORT Handle_Image_PseudoColorImage ImageUtility::PixelDiff | ( | const Handle(Image_Image)& | aImage,
|  | const Handle(Image_Image)& | anotherImage
| ) | `[static]`

The documentation for this class was generated from the following file:

- ImageUtility.hxx